Package org.jacoco.ant

## Class ReportTask

- java.lang.Object
- - org.apache.tools.ant.ProjectComponent
  - - org.apache.tools.ant.Task
    - - org.jacoco.ant.ReportTask

All Implemented Interfaces:
  `java.lang.Cloneable`

    public class ReportTask
    extends org.apache.tools.ant.Task

Task for coverage report generation.

### Nested Class Summary

Nested Classes
`class` `ReportTask.CheckFormatterElement` Formatter element for coverage checks.
`class` `ReportTask.CSVFormatterElement` Formatter element for CSV reports.
`static class` `ReportTask.GroupElement` Container element for class file groups.
`class` `ReportTask.HTMLFormatterElement` Formatter element for HTML reports.
`static class` `ReportTask.SourceFilesElement` The source files are specified in a resource collection with additional attributes.
`class` `ReportTask.XMLFormatterElement` Formatter element for XML reports.

### Field Summary

### Fields inherited from class org.apache.tools.ant.Task

`target, taskName, taskType, wrapper`

### Fields inherited from class org.apache.tools.ant.ProjectComponent

`description, location, project`

### Constructor Summary

Constructors
`ReportTask()`

### Method Summary

All Methods Instance Methods Concrete Methods
`ReportTask.CheckFormatterElement` `createCheck()` Creates a new coverage check element.
`ReportTask.CSVFormatterElement` `createCsv()` Creates a new CSV report element.
`org.apache.tools.ant.types.resources.Union` `createExecutiondata()` Returns the nested resource collection for execution data files.
`ReportTask.HTMLFormatterElement` `createHtml()` Creates a new HTML report element.
`ReportTask.GroupElement` `createStructure()` Returns the root group element that defines the report structure.
`ReportTask.XMLFormatterElement` `createXml()` Creates a new XML report element.
`void` `execute()`

### Methods inherited from class org.apache.tools.ant.Task

`bindToOwner, getOwningTarget, getRuntimeConfigurableWrapper, getTaskName, getTaskType, getWrapper, handleErrorFlush, handleErrorOutput, handleFlush, handleInput, handleOutput, init, isInvalid, log, log, log, log, maybeConfigure, perform, reconfigure, setOwningTarget, setRuntimeConfigurableWrapper, setTaskName, setTaskType`

### Methods inherited from class org.apache.tools.ant.ProjectComponent

`clone, getDescription, getLocation, getProject, setDescription, setLocation, setProject`

### Methods inherited from class java.lang.Object

`equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### ReportTask

    public ReportTask()

### Method Detail

#### createExecutiondata

    public org.apache.tools.ant.types.resources.Union createExecutiondata()

Returns the nested resource collection for execution data files.

Returns:
  resource collection for execution files

#### createStructure

    public ReportTask.GroupElement createStructure()

Returns the root group element that defines the report structure.

Returns:
  root group element

#### createHtml

    public ReportTask.HTMLFormatterElement createHtml()

Creates a new HTML report element.

Returns:
  HTML report element

#### createCsv

    public ReportTask.CSVFormatterElement createCsv()

Creates a new CSV report element.

Returns:
  CSV report element

#### createCheck

    public ReportTask.CheckFormatterElement createCheck()

Creates a new coverage check element.

Returns:
  coverage check element

#### createXml

    public ReportTask.XMLFormatterElement createXml()

Creates a new XML report element.

Returns:
  CSV report element

#### execute

    public void execute()
                 throws org.apache.tools.ant.BuildException

Overrides:
  `execute` in class `org.apache.tools.ant.Task`
Throws:
  `org.apache.tools.ant.BuildException`